version: '3.7'

services:
  # nginx:
  #   container_name: nginx
  #   build: ./nginx/
  #   ports:
  #     - 80:80
  #   networks:
  #     - pagwise
  
  # redis-pagwise:
  #   image: redis:6.2-alpine
  #   container_name: redis-pagwise
  #   restart: always
  #   ports:
  #     - '6379:6379'
  #   command: redis-server --save 20 1 
  #   volumes: 
  #     - cache:/data
  #   expose:
  #     - '6379'
  #   networks:
  #       - pagwise

  # back_pagwise:
  #     container_name: back_pagwise
  #     build: ./back_pagwise/
  #     ports:
  #       - 3000:3000
  #     networks:
  #       - pagwise

  # front_pagwise:
  #     container_name: front_pagwise
  #     build: ./front/
  #     ports:
  #       - 3010:80
  #     networks:
  #       - pagwise
  
  back_biblioteca:
      container_name: back_biblioteca
      build: ./back/
      ports:
        - 5172:5172
      networks:
        - pagwise

  # front_biblioteca:
  #     container_name: front_biblioteca
  #     build: ./biblioteca/front/
  #     ports:
  #       - 5173:80
  #     networks:
  #       - pagwise

  # usuario_pagwise:
  #     container_name: usuario_pagwise
  #     build: ./usuario/
  #     ports:
  #       - 3025:3025
  #     networks:
  #       - pagwise

  # app_fila:
  #     container_name: app_fila
  #     build: ./fila/
  #     ports:
  #       - 5000:5000
  #     networks:
  #       - pagwise

  # api_totem:
  #     container_name: api_totem
  #     build: ./totem/back/
  #     ports:
  #       - 5001:5001
  #     networks:
  #       - pagwise

  # front_totem:
  #     container_name: front_totem
  #     build: ./totem/front/
  #     ports:
  #       - 5002:80
  #     networks:
  #       - pagwise

networks:
    pagwise:
      name: pagwise_default
      driver: bridge
      external: true
volumes:
  cache:
    driver: local